/* Miligram overrides */
a {
    font-family: "Raleway", sans-serif;
    color: #404041;
}

td a {
    color: #3c9ad3;
}

/* Utility */
.table-responsive {
    display: block;
    width: 100%;
    overflow-x: auto;
    -webkit-overflow-scrolling: touch;
}

/* Main */
body {
    background: #f5f7fa;
}
.content {
    padding: 2rem;
    background: #ffffff;
    border-radius: 0.4rem;
    /* Thanks Stripe */
    box-shadow: 0 7px 14px 0 rgba(60, 66, 87, 0.1),
        0 3px 6px 0 rgba(0, 0, 0, 0.07);
}
.actions a {
    font-weight: bold;
    padding: 0 0.4rem;
}
th {
    white-space: nowrap;
}

/* Nav bar */
.top-nav {
    display: flex;
    align-items: center;
    justify-content: space-between;
    max-width: 112rem;
    padding: 2rem 2rem 0;
    margin: 0 auto;
}
.top-nav.top-nav-2nd-row {
    padding: 0rem 2rem 2rem;
    margin: 0 auto;
}
.top-nav-title a {
    font-size: 2.4rem;
    color: #d33c43;
}
.top-nav-title span {
    color: #404041;
}
.top-nav-links a {
    margin: 0 0.5rem;
}
.top-nav-links a.active {
    border-bottom: 2px solid black;
}
.top-nav-title a,
.top-nav-links a {
    font-weight: bold;
}

.side-nav-item {
    display: block;
    padding: 0.5rem 0;
}

/* View action */
.view.content .text {
    margin-top: 1.2rem;
}
.view.content .text a {
    font: inherit;
    color: #d33c43;
}
.view.content .text a:hover {
    text-decoration: underline;
}
.view.content .text p {
    margin-bottom: 1em;
}
.related {
    margin-top: 2rem;
}

/* Flash messages */
.message {
    padding: 1rem;

    background: #eff8ff;
    color: #2779bd;

    border-color: #6cb2eb;
    border-width: 1px;
    border-style: solid;
    border-radius: 4px;
    margin-bottom: 2rem;
}
.message.hidden {
    display: none;
}
.message.success {
    background: #e3fcec;
    color: #1f9d55;
    border-color: #51d88a;
}
.message.error {
    background: #fcebea;
    color: #cc1f1a;
    border-color: #ef5753;
}

/* Forms */
.input > label {
    font-size: 1.5rem;
    margin-bottom: 0.5rem;
}
.input.required > label:after {
    content: '*';
    margin-left: 2px;
    color: #c10303;
}

.input.radio,
.input.checkbox {
    margin-bottom: 2.0rem;
}
.input.radio input,
.input.checkbox input {
    margin: 0;
}
.input.radio label,
.input.checkbox label {
    margin: 0;
    display: flex;
    align-items: center;
}
.input.radio label > input,
.input.checkbox label > input {
    margin-right: 1.0rem;
}
.input.radio label:first-of-type {
    margin-bottom: 2.0rem;
}

.input.select select[multiple] {
    height: auto;
}

/* Paginator */
.paginator {
    text-align: right;
}
.pagination {
    display: flex;
    justify-content: center;
    list-style: none;
    padding: 0;
    margin: 0 0 1rem;
}
.pagination li {
    margin: 0 0.5rem;
}
.prev.disabled a,
.next.disabled a {
    cursor: not-allowed;
    color: #606c76;
}
.asc:after {
    content: " \2193";
}
.desc:after {
    content: " \2191";
}

/* Error */
.error-container {
    align-items: center;
    display: flex;
    flex-direction: column;
    height: 100vh;
    justify-content: center;
}

.inactive,
.inactive * { color: #c2c2c2 !important; }

h3 small .active { border-bottom: 2px solid #404041; }

#map {
    width: 100%;
    height: 500px;
}

table td,
table th { vertical-align: top; }

@media screen and (max-width: 639px) {
    .top-nav {
        margin: 0 auto;
        padding: 1rem 1rem 0;
    }

    .top-nav.top-nav-2nd-row {
        padding: 0rem 1rem 1rem;
    }
    .container {
        padding: 0;
    }
    .content {
        padding: 1rem;
    }

    .side-nav {
        margin-bottom: 1rem;
    }
    .heading {
        margin-bottom: 1rem;
    }
    .side-nav-item {
        display: inline;
        margin: 0 1.5rem 0 0;
    }
    .asc:after {
        content: " \2192";
    }
    .desc:after {
        content: " \2190";
    }
    .table-responsive .actions { display: none; }
}

.badge { display: inline-block; background: #e2e2e2; border-radius: 5px; padding: 2px 10px; font-size: 0.8em; }

.files { margin-top: 2rem; }

.paginator { margin-top: 2rem; }
.paginator .pagination { margin-bottom: 0; }

.map-list > li { list-style: none; }
.map-list ul { margin: 0; }
.map-list ul li { margin-bottom: 0; }

footer { margin-top: 2em; margin-bottom: 1em; }
